Commit e8ca3088 authored by Ben Boeckel's avatar Ben Boeckel

vxl: apply patch to support GCC6

parent 83a5969e
diff --git a/core/vnl/io/CMakeLists.txt b/core/vnl/io/CMakeLists.txt
index 74da98e..3637b54 100644
--- a/core/vnl/io/CMakeLists.txt
+++ b/core/vnl/io/CMakeLists.txt
@@ -22,7 +22,7 @@ AUX_SOURCE_DIRECTORY(Templates vnl_io_sources)
IF(CMAKE_COMPILER_IS_GNUCXX)
SET_SOURCE_FILES_PROPERTIES(Templates/vsl_vector_io+vcl_vector+vcl_vector+vnl_vector+double----.cxx
PROPERTIES
- COMPILE_FLAGS -ftemplate-depth-35)
+ COMPILE_FLAGS -ftemplate-depth=50)
ENDIF(CMAKE_COMPILER_IS_GNUCXX)
ADD_LIBRARY(vnl_io ${vnl_io_sources} )
......@@ -2,3 +2,5 @@ include("${CMAKE_CURRENT_LIST_DIR}/../vxl.cmake")
superbuild_apply_patch(vxl vcl-detect-gcc5
"Add support for GCC 5 and up")
superbuild_apply_patch(vxl gcc6-template-depth
"GCC6 has deeper templates")
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment